from django.contrib.postgres.fields import ArrayField
from django.contrib.auth.models import User
from django.utils.text import slugify
from django.db import models, connection
from datetime import datetime, timedelta



    def __str__(self):
        return self.title

    class Meta:
        # ordering = ['order', '-id']
        ordering = ['title']



class Variable(BaseVariable):
    dataset = models.ForeignKey('Dataset', related_name='variables', on_delete=models.CASCADE)

    class Meta:
        ordering = ['title']

    def __str__(self):
        return self.dataset.title + ' = ' + self.title

    def __unicode__(self):
        return u'%s' % self.title

    @property
    def data_table_name(self):
        return self.dataset.table_name

